<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'support_section',
	array(
		'title'         => __( 'Support Section', 'luzuk-premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'support_section_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'support_section_disable',
		array(
			'settings'      => 'support_section_disable',
			'section'       => 'support_section',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'supportbg', 'support_section', $color='#09c567', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'sec_supportsectionpadding', 'support_section', 'Section Padding');

$wp_customize->add_setting(
    'support_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_areaTpadding',
    array(
        'settings'      => 'support_areaTpadding',
        'section'       => 'support_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'support_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'support_areaBpadding',
    array(
        'settings'      => 'support_areaBpadding',
        'section'       => 'support_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'sec_supportsectiontext', 'support_section', 'Section Email , Phone No. & Address');

$wp_customize->add_setting(
	'support_section_emailid',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'support@youremailid.com', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'support_section_emailid',
	array(
		'settings'      => 'support_section_emailid',
		'section'       => 'support_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'support_section_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '1800 123 4567', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'support_section_phone',
	array(
		'settings'      => 'support_section_phone',
		'section'       => 'support_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'support_section_location',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'PO Box 16122 Collins Street West Victoria 8007 Australia', 'luzuk-premium' ) 
	)
);

$wp_customize->add_control(
	'support_section_location',
	array(
		'settings'      => 'support_section_location',
		'section'       => 'support_section',
		'type'          => 'textarea',
		'label'         => __( 'Location', 'luzuk-premium' )
	)
);


lzCustomLable($wp_customize, 'sec_supportcolor', 'support_section', 'Section Color');


addColorPalatOption($wp_customize, 'Supp_iconcolor', 'support_section', 'Section Icon Color', '#002a45');

addColorPalatOption($wp_customize, 'Supp_iconhvcolor', 'support_section', 'Section Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'Supp_iconbgcolor', 'support_section', 'Section Icon Background Color', '#fff');

addColorPalatOption($wp_customize, 'Supp_iconbghvcolor', 'support_section', 'Section Icon Background Hover Color', '#002a45');

addColorPalatOption($wp_customize, 'Supp_alltxtcolor', 'support_section', 'Section All Text Color', '#fff');

addColorPalatOption($wp_customize, 'Supp_emiltxthvcolor', 'support_section', 'Section Email & Phone Text Hover Color', '#002a45');



